#
# spec file for package squid (Version 2.5.STABLE1)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  openldap2 openldap2-client openldap2-devel opensp opensp-devel openssl openssl-devel samba sgmltool sharutils
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext heimdal-lib libtool openldap2 openldap2-client openldap2-devel opensp opensp-devel openssl openssl-devel perl rpm samba sgmltool sharutils

Name:         squid
Summary:      Squid WWW proxy server
Version:      2.5.STABLE1
Release:      112
License:      GPL
URL:          http://www.squid-cache.org
Group:        Productivity/Networking/Web/Proxy
Requires:     logrotate
Provides:     http_proxy
Conflicts:    squid-beta squid2 squid23
Autoreqprov:  on
%if %suse_version > 800
PreReq:       /usr/sbin/useradd, %insserv_prereq, %fillup_prereq
%endif
Source:       squid-%{version}.tar.bz2
%define       squid_ldapauth_version 1.3
Source1:      squid_ldapauth-%{squid_ldapauth_version}.tar.bz2
Source2:      rc.squid
Source4:      README.SuSE
Source5:      pam.squid
Source6:      squid.logrotate
Source7:      squid-2.5.STABLE1-RELEASENOTES.html
Source8:      contrib-2.4.STABLE6.tar.bz2
Source9:      squid.permissions
#Create with: wget --cut-dirs=1 -nH -m -k -r -I/Doc/FAQ/ http://www.squid-cache.org/Doc/FAQ/
Source10:     squid-FAQ.tar.bz2
Patch:        squid-2.5.STABLE1.dif
Patch1:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-disable-ident-lookups.patch
Patch2:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-disable-http-violations.patch
Patch3:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-proxy_auth.patch
Patch4:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-max_user_ip.patch
Patch5:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-cache_dir_docs.patch
Patch6:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-load_icons.patch
Patch7:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-referer_log.patch
Patch8:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-ldap_auth.patch
Patch9:       http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-wccp.patch
Patch10:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-strwordtok.patch
Patch11:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-addlang.patch
Patch12:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-acl_leak.patch
Patch13:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-memstat.patch
Patch14:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-auth-proxy.patch
Patch15:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-cachemgr.patch
Patch16:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-uninstall.patch
Patch17:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-ext_acl_exit.patch
Patch18:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-request_entity.patch
Patch19:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-ext_acl_comma.patch
Patch20:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-dnsserver.patch
Patch21:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-pthreads.patch
Patch22:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-aufs.patch
Patch23:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-spaces.patch
Patch24:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-ldap_group.patch
Patch25:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-flags_open.patch
Patch26:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-ldap_group-compile.patch
Patch27:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-RunCache.patch
Patch28:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-aufs_performance.patch
Patch29:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-rebuild_assert.patch
Patch30:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-offline_mode.patch
Patch31:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-chroot.patch
Patch32:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-S.patch
Patch33:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-relnote11.patch
Patch34:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-aufs_reentrant.patch
Patch35:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-offline_toggle.patch
Patch36:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-hostnames.patch
Patch37:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-failure_ratio.patch
Patch38:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-log_mime_hdrs.patch
Patch39:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-sbrk.patch
Patch40:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-select_stat.patch
Patch41:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-select_fds_hist.patch
Patch42:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-peer_select_alg.patch
Patch43:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-copy_offset.patch
Patch44:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-mempoolstat.patch
Patch45:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-pidfile.patch
Patch46:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-ftp_abort.patch
Patch47:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-authsheme_realloc.patch
Patch48:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-http_reply_max_size.patch
Patch49:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-cachemgr_non_get.patch
Patch50:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-helper_stats.patch
Patch51:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-delay_pools_docs.patch
Patch52:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-auth_connection.patch
Patch53:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-authenticate_program_docs.patch
Patch54:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-with_aufs_threads_trap.patch
Patch55:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-shutdown_assert.patch
Patch56:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-cachemgr_passwd.patch
Patch57:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-etc_hosts_fdleak.patch
Patch58:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-openssl097.patch
Patch59:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-HEAD_bad_headers.patch
Patch60:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-time_acl_list.patch
Patch61:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-CONNECT_pipeline.patch
Patch62:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-winbind.patch
Patch63:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-mib.patch
Patch64:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-error-http-ident.patch
Patch65:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-distclean_icons.patch
Patch66:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-external_acl_auth_segfault.patch
Patch67:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-auth_digest.patch
Patch68:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE1-external_acl_user.patch
Patch70:      http://www.squid-cache.org/~wessels/patch/libntlmssp.c.patch
Patch71:      squid-2.5.STABLE1-ntlm_fetch_string.patch
Patch72:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE6-SNMP_core_dump.patch
Patch73:      squid-2.5.STABLE7-gopher_html_parsing.patch
Patch74:      squid-2.5.STABLE7-wccp_denial_of_service.patch
Patch75:      squid-2.5.STABLE7-fakeauth_auth.patch
Patch76:      squid-2.5.STABLE1-ldap_spaces.patch
Patch77:      squid-2.5.STABLE1-response_splitting.patch2
Patch78:      squid-2.5.STABLE1-oversize_reply_headers.patch
Patch79:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-wccp_buffer_overflow.patch
Patch80:      squid-2.5.STABLE1-dns_assert.patch
Patch81:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-post.patch
Patch82:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-server_post.patch
Patch83:      squid-2.5.STABLE3-dns_query-4.patch
Patch84:      squid-2.5.STABLE9-cachemgr_conf.patch
Patch85:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE9-setcookie.patch
Patch86:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE6-arbitrary_headers.patch
Patch87:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE7-empty_acls.patch
Patch88:      http://www.squid-cache.org/Versions/v2/2.5/bugs/squid-2.5.STABLE9-acl_error.patch
# Patch89:      http://www.squid-cache.org/Versions/v2/2.5/bugs/
# Patch90:      http://www.squid-cache.org/Versions/v2/2.5/bugs/
Patch100:     squid_ldapauth-%{squid_ldapauth_version}.dif
Patch101:     %{name}-%{version}-configure.patch
Patch102:     squid-2.5-64bit.patch
Patch103:     squid-2.5.STABLE1-samba.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define		squidconfdir /etc/squid

%description
The stable version of the Squid WWW Proxy Server.

Home page: http://www.squid-cache.org



Authors:
--------
    Duane Wessels <wessels@ircache.net>

%prep
%setup -n squid-%{version} -a 1 -a 8
#(cd auth_modules
#tar xzf %{S:21} 
#rm -r MSNT
#mv msntauth-v2.0.3-squid.1 MSNT
#)
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
#%patch58 -p1   -- SuSE is using OpenSSL 0.9.6h
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch70 -p0
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
# %patch89 -p1
# %patch90 -p1
perl -pi -e 's%^#!/usr/local/bin/perl%#!/usr/bin/perl%g' `find -name "*.pl"`
(cd squid_ldapauth*
%patch100
)
%patch101 -p1
%patch102 -p1
%patch103 -p1

%build
CFLAGS='-Wall -O2 -pipe'
LDFLAGS=' '
ulimit -n 4096
%{?suse_update_config:%{suse_update_config}}
aclocal
touch NEWS AUTHORS
automake
autoconf
./configure --prefix=/usr \
	--sysconfdir=%{squidconfdir} \
	--bindir=/usr/sbin \
	--sbindir=/usr/sbin \
	--localstatedir=/var \
	--libexecdir=/usr/sbin \
	--datadir=/usr/share/squid \
	--with-dl \
	--enable-snmp \
	--enable-carp \
	--enable-useragent-log \
	--enable-auth="basic digest ntlm" \
	--enable-basic-auth-helpers="LDAP MSNT NCSA PAM SMB YP getpwnam multi-domain-NTLM winbind" \
	--enable-ntlm-auth-helpers="SMB no_check winbind" \
	--enable-digest-auth-helpers="password" \
	--enable-ntlm-fail-open \
	--enable-referer-log \
	--enable-arp-acl \
	--enable-htcp \
	--enable-underscores \
	--enable-stacktraces \
	--enable-delay-pools \
	--enable-ssl \
	--enable-cache-digests \
	--with-samba-sources=/usr/include/samba \
	--enable-x-accelerator-vary
#--enable-linux-netfilter # linux 2.4
#--enable-removal-policies="heap" \
make DEFAULT_SWAP_DIR=/var/cache/squid \
	DEFAULT_LOG_PREFIX=/var/log/squid \
	DEFAULT_PID_FILE=/var/run/squid.pid
make -C squid_ldapauth-%{squid_ldapauth_version}
#make -C auth_modules/PAM
#make -C auth_modules/NCSA
#make -C auth_modules/YP
##make -C doc/Programming-Guide
mkdir FAQ
cd FAQ
cp -p %{SOURCE10} .
tar xjvf %{SOURCE10} FAQ/FAQ.txt FAQ/FAQ.ps.gz
mv FAQ/* .
rmdir FAQ
gzip -d FAQ.ps.gz
bzip2 -9 FAQ.ps FAQ.txt
cd ..

%install
/usr/sbin/useradd -r -o -g nogroup -u 31 -s /bin/false -c "WWW-proxy squid" -d /var/cache/squid squid 2> /dev/null || :
mkdir -p $RPM_BUILD_ROOT/var/{cache,log}/squid
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make install DESTDIR=$RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT -C auth_modules/PAM
#make install DESTDIR=$RPM_BUILD_ROOT -C auth_modules/NCSA
#make install DESTDIR=$RPM_BUILD_ROOT MAKE="make DESTDIR=$RPM_BUILD_ROOT" -C auth_modules/YP
mv $RPM_BUILD_ROOT{/etc/squid/,/usr/share/squid/}mime.conf.default
ln -s /etc/squid/mime.conf $RPM_BUILD_ROOT/usr/share/squid # backward compatible
install -d -m 755 $RPM_BUILD_ROOT/etc/permissions.d
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT/etc/permissions.d/squid
install -d -m 755 $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/etc/logrotate.d/squid
install -d %{buildroot}%{_mandir}/man8/
install -m 644 doc/squid.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/basic_auth/LDAP/squid_ldap_auth.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/basic_auth/LDAP/squid_ldap_auth.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/basic_auth/PAM/pam_auth.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 helpers/external_acl/ldap_group/squid_ldap_group.8 $RPM_BUILD_ROOT/%{_mandir}/man8/
gzip -9 $RPM_BUILD_ROOT/%{_mandir}/man8/*.8
chown squid.root -R $RPM_BUILD_ROOT/var/{cache,log}/squid
chmod 750 $RPM_BUILD_ROOT/var/{cache,log}/squid
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/init.d/squid
ln -sf /etc/init.d/squid $RPM_BUILD_ROOT/usr/sbin/rcsquid
install -d -m 755 doc/scripts
install scripts/*.pl doc/scripts
mv $RPM_BUILD_ROOT/usr/sbin/cachemgr.cgi doc/scripts
#nothing for squid-2.5.STABLE1:
install -d -m 755 doc/contrib
install contrib/*.pl doc/contrib
#rm doc/Programming-Guide/Makefile
install -m 644 %{SOURCE7} doc
install -m 644 %{SOURCE4} .
install -D -m 644 %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/squid
chown squid.shadow $RPM_BUILD_ROOT/usr/sbin/pam_auth
chmod g+s $RPM_BUILD_ROOT/usr/sbin/pam_auth
cd squid_ldapauth-%{squid_ldapauth_version}
install -m 750 -osquid -groot squid_ldapauth $RPM_BUILD_ROOT/usr/sbin/
cp README ../README.squid_ldapauth
cp CREDITS ../CREDITS.squid_ldapauth
cp squid_ldapauth.conf ..
rm %{buildroot}/usr/sbin/Run*
rm -rf %{buildroot}%{squidconfdir}/errors
for i in errors/*; do
	if [ -d $i ]; then
		mkdir -p %{buildroot}/usr/share/squid/$i
		install -m 644 $i/* %{buildroot}/usr/share/squid/$i
	fi
done
ln -fs /usr/share/squid/errors/English %{buildroot}%{squidconfdir}/errors
mv $RPM_BUILD_ROOT/usr/man/man8/cachemgr.cgi.8* $RPM_BUILD_ROOT/%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/useradd -r -o -g nogroup -u 31 -s /bin/false -c "WWW-proxy squid" -d /var/cache/squid squid 2> /dev/null || :

%post
# update mode?
if [ $1 -gt 1 ]; then
	update_done=0
	if [ -e etc/squid.conf -a ! -L etc/squid.conf ]; then
		# in case they are equal ==> break = do nothing
		diff etc/squid.conf etc/squid/squid.conf > /dev/null && break;
		echo "moving /etc/squid.conf to /etc/squid/squid.conf.old"
		mv etc/squid.conf etc/squid/squid.conf.old && update_done=1
	fi
	mkdir -p var/adm/notify/messages
# ---------------------------------------------------------------------------
	test $update_done -gt 0 && cat << EOF > var/adm/notify/messages/squid-notify
Hallo,  (english text see below)
 
die Lage der Konfigurationsdatei squid.conf vom Paket "squid" hat sich
im Dateisystems gendert. Er lautet nun: /etc/squid/squid.conf
Mglicherweise haben sich einige Konfigurationsoptionen von Ihrer
alten zur aktuellen Version stark verndert. Deshalb kann es
passieren, dass die alten Konfigurationen nicht mehr notwendigerweise
mit der aktuellen squid-Version luft. Wir bitten daher um uerste
Vorsicht im Falle eines Upgrades. Es wre daher besser, wenn Sie Ihre
eigenen, alten Konfigurationsparameter an die Vorgaben in der neuen
Konfigurationsdatei anpassen knnten und nicht die alte Konfigurationsdatei
bernehmen.
 
Die alten Cache-Verzeichnisse knnen in den meisten Fllen auch nicht
lnger bernehmbar sein. Hier ist es durchaus sinnvoll, die alten zu
lschen und neu anzulegen (squid -z).
---------------------------------------------------------------------------
Hello,
the location of configuration file squid.conf from package "squid" has
been moved in the file system. It's now: /etc/squid/squid.conf
Probably some configuration options have been changed from your old
to latest version either. Therefore it could happen, that the old
configuration no longer runs with this latest squid version. We
strongly suggest to take attention in case of an upgrade. It would be
better to adapt old configuration parameters into the new configuration
file.
 
Old caches do not work in most cases neither. Therefore it might be an
reasonable option to remove and regenerate them either (squid -z).
 
Have a lot of fun...
			Your SuSE Linux team
EOF
# ---------------------------------------------------------------------------
fi
%{fillup_and_insserv squid}

%postun
%{insserv_cleanup}

%files
%defattr(-,root,root)
%attr(750,squid,root) %dir /var/cache/squid
%attr(750,squid,root) %dir /var/log/squid
%dir %{squidconfdir}
%config(noreplace) %{squidconfdir}/squid.conf
%config(noreplace) %{squidconfdir}/cachemgr.conf
%config(noreplace) %{squidconfdir}/errors
%config(noreplace) /etc/logrotate.d/squid
%config(noreplace) %{squidconfdir}/mime.conf
%config /etc/pam.d/squid
%config /etc/init.d/squid
/etc/permissions.d/squid
%dir /usr/share/squid
/usr/share/squid/errors
/usr/share/squid/icons
%config /usr/share/squid/mib.txt
/usr/share/squid/mime.conf
/usr/share/squid/mime.conf.default
/usr/sbin/*
%doc %{_mandir}/man*/*
%doc CONTRIBUTORS COPYING COPYRIGHT CREDITS
%doc ChangeLog QUICKSTART README README.SuSE
#%doc doc/HTTP-codes.txt doc/draft-vixie-htcp-proto-04.txt
#%doc doc/Programming-Guide 
%doc doc/scripts doc/contrib FAQ
%doc errors doc/debug-sections.txt src/squid.conf.default
%doc README.squid_ldapauth CREDITS.squid_ldapauth
%doc squid_ldapauth.conf doc/squid-2.5.STABLE1-RELEASENOTES.html

%changelog -n squid
* Tue Jun 21 2005 - kssingvo@suse.de
- fixed: CAN-1999-0710 cachemgr_conf issue (bugzilla#83509)
- fixed: CAN-2005-0718 response_splitting (bugzilla#90338)
- fixed: CAN-2005-0626 set_cookie issue (bugzilla#83509)
- fixed: CAN-2005-1345 acl_error issue (bugzilla#83509)
- fixed: CAN-2005-1519 dns_query issue (bugzilla#83509)
* Thu Apr 21 2005 - kssingvo@suse.de
- security patch for post/put commands (bugzilla#78093)
* Thu Feb 17 2005 - kssingvo@suse.de
- fixed dns_assert DoS (bugzilla#50895)
* Mon Feb 14 2005 - kssingvo@suse.de
- fixed ctx enter problem from oversize_reply_headers patch (bugzilla#50421)
* Wed Feb 02 2005 - kssingvo@suse.de
- fixed wccp_buffer_overflow problem CAN-2005-0211 (bugzilla#50421)
- fixed oversize_reply_headers problem CAN-2005-0211 (bugzilla#50421)
* Thu Jan 27 2005 - kssingvo@suse.de
- fixed security problems (bugzilla#50023):
- fixed CAN-2005-0094: gopher_html_parsing
- fixed CAN-2005-0095: wccp_denial_of_service
- fixed CAN-2005-0096: fakeauth_auth
- fixed CAN-2005-0097: fakeauth_auth
- fixed CAN# not yet known: ldap_spaces
- fixed CAN# not yet known: response_splitting
* Thu Oct 14 2004 - kssingvo@suse.de
- fix for remote DoS in snmp module CAN-2004-0918 (bugzilla#47198)
* Thu Sep 09 2004 - kssingvo@suse.de
- fix DoS in ntlm auth CAN-2004-0832 (bugzilla#44696)
* Tue Jun 08 2004 - kssingvo@suse.de
- buffer overflow fix in NTLM authentication helper (bugzilla#41771)
* Thu Mar 06 2003 - kukuk@suse.de
- Remove cyrus-sasl from neededforbuild
* Mon Mar 03 2003 - kssingvo@suse.de
- updated neededforbuild: samba-devel -> samba (bugzilla#24235)
* Mon Mar 03 2003 - kssingvo@suse.de
- added official patches
- adapted the winbind patch (bugzilla#24235) (hopefully builds on all archs)
- updated FAQ
* Tue Feb 18 2003 - kssingvo@suse.de
- added and updated /etc/permissions.d/squid (bugzilla#23752)
* Wed Feb 12 2003 - kssingvo@suse.de
- added manual pages
- added a few fixes for 64bit architecture
- enabled some useful (configure) options
* Mon Feb 10 2003 - kssingvo@suse.de
- added all the missing official patches (before feature freeze)
- changed default heap replacement policy from "lru" to "heap"
* Fri Feb 07 2003 - kukuk@suse.de
- Use pam_unix2.so instead of pam_unix.so
* Tue Feb 04 2003 - kssingvo@suse.de
- fix of automake fix
- added another official patch (today released)
* Tue Feb 04 2003 - kssingvo@suse.de
- added mime.conf link and ...
- thanks to ro for again forgotten neededforbuild update
* Mon Feb 03 2003 - ro@suse.de
- fixed neededforbuild for the umpteenth time ...
* Mon Feb 03 2003 - kssingvo@suse.de
- added next official patches
- requires now use of automake system
- fixed problematic config file mime.confs (now in /etc)
* Wed Jan 22 2003 - kssingvo@suse.de
- added several official patches from www.squid-cache.org *sigh*
- added missing cachemgr.cgi
- added missing contrib files from old squid version
- added FAQ in various forms; downloaded from www.squid-cache.org
- added scripts as %%doc
* Thu Jan 16 2003 - ro@suse.de
- fixed neededforbuild "sp" -> "opensp"
* Tue Jan 14 2003 - kssingvo@suse.de
- added another bunch of official patches
- fixed path problems (runtime) in spec file
* Thu Dec 12 2002 - kssingvo@suse.de
- updated to 2.5.STABLE1
- added official patches
- tuned up spec file
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <sp> to <opensp>
- changed neededforbuild <sp-devel> to <>
* Tue Sep 03 2002 - kssingvo@suse.de
- fixed pathes in squid.logrotate (bugzilla#18792)
* Mon Aug 05 2002 - kssingvo@suse.de
- added official msnt_auth patch
- added test for suse_version to be backward compatible with PreReq:
* Wed Jul 31 2002 - kssingvo@suse.de
- fixed spec file: new PreReq tokens
- fixed spec file: file permission for cache_dir and log_dir
- fixed rc script: now honors cache_dir in squid.conf and fails if
  problems in creation (bugzilla #14892)
* Mon Jul 29 2002 - kssingvo@suse.de
- fixed Requires/Provides in SPEC file.
* Mon Jul 29 2002 - kssingvo@suse.de
- added useful configure options
- added a lot of new authentification methods (and therefore conflicts
  with RPM smb_auth)
- re-organized %%Files section
* Fri Jul 26 2002 - kssingvo@suse.de
- created /etc/logrotate.d/squid
* Sun Jul 14 2002 - poeml@suse.de
- update to patchlevel 2.4STABLE7 (dropping the respective patches)
- rc.squid INIT section: use X-UnitedLinux-Should-Start
- move configuration to /etc/squid
- install error message files to /usr/share/squid. Link to English
  as default.
- drop %%pre script that renamed /usr/share/squid/errors
- use %%defattr
* Wed Jul 03 2002 - ro@suse.de
- create squid user also at begin of install section
* Tue Jul 02 2002 - poeml@suse.de
- squid does not need a valid login shell.
* Tue Jul 02 2002 - poeml@suse.de
- Update to 2.4.STABLE6 (dropping the last two patches), and add
  several new security fixes (see
  http://www.squid-cache.org/Versions/v2/2.4/bugs/):
  * Buffer overflows in the Gopher client
  * Sanity checks of the FTP data channel
  * FTP directory parsing buffer overflows
  * Make Squid deny transfer-encoding to work around Apache issue
  * Insecure forwarding of proxy_auth
  and minor fixes:
  * cache_mem documentation
  * client -T not implemented
  * HTCP coredump on "squid -k reconfigure"
  Not included, because the module is not activated:
  * Buffer overflows in the MSNT auth helper (updating the module
  from 1.2 to 2.0)
- Using useradd in the specfile.
* Thu Mar 21 2002 - draht@suse.de
- squid-2.4.STABLE3-rfc1035-security.diff fixes compressed dns
  reply buffer overflow.
* Mon Feb 25 2002 - poeml@suse.de
- disable HTCP support (upon recommendation of Henrik Nordstrom
  <hno@squid-cache.org>). The implementation lacks access control
  and logging, and does not add any value to cache peering compared
  to ICP.
* Sat Feb 23 2002 - poeml@suse.de
- test for correct cache directory in rc.squid
- specify DEFAULT_PID_FILE
* Tue Feb 19 2002 - draht@suse.de
- added three security-relevant patches, combined in
  squid-2.4.STABLE3-misc-sec.dif:
  * "htcp port 0" fails to disable the HTCP port
  * coredump on ftp:// style URLs
  * fix for SNMP memory leaks
  See http://www.squid-cache.org/Versions/v2/2.4/bugs/.
* Mon Feb 18 2002 - poeml@suse.de
- update to 2.4.STABLE3: numerous bug fixes. for the Changelog see
  http://www.squid-cache.org/Versions/v2/2.4/ChangeLog.txt
- make file locations more FHS conform:
  /var/squid/cache --> /var/cache/squid
  /var/squid/logs --> /var/log/squid
- drop security patch (included upstream)
* Sat Feb 02 2002 - poeml@suse.de
- replace GmbH --> AG
* Fri Dec 14 2001 - ro@suse.de
- removed START_SQUID
* Fri Oct 05 2001 - bjacke@suse.de
- update to 2.4RC2 (prev. squid-beta package)
- use buildroot
- fix security hole where squid could be crashed by certain requests
* Tue Sep 04 2001 - bodammer@suse.de
- specfile fix: install /etc/squid.conf with noreplace [Bug #10023]
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Thu Aug 16 2001 - bodammer@suse.de
- initscript and textfiles moved away from squid-2.3.STABLE4.dif
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start squid in runlevel 2 [bug #7956]
* Wed May 09 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 17 2001 - bodammer@suse.de
- initscript fix: check for running squid before creating cache-dir
* Thu Apr 05 2001 - bodammer@suse.de
- squid.conf: allow localhost access to squid by default
- initscript: ulimit -n 4096 added to increase filedescriptors
- cachemgr.cgi moved to doc/scripts
- build of Programming-Guide removed from specfile
* Fri Mar 30 2001 - bodammer@suse.de
- initscript-fix: $named for added for required startup
* Wed Mar 28 2001 - bodammer@suse.de
- new initscript more LSB conform
* Thu Mar 22 2001 - bodammer@suse.de
- new patch from www.squid-cache.org applied
* Fri Mar 16 2001 - kukuk@suse.de
- Fix bogus requires
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 13 2001 - bodammer@suse.de
- package squid23 renamed to squid
- specfile: Obsoletes squid2 and squid23 added
  Conflicts squid-beta added (instead of squid24)
- pam_auth: permissions set to sgid shadow
- build of doc/Programming-Guide fixed
* Fri Jan 19 2001 - bodammer@suse.de
- specfile fix: ulimit was missing and conflicts squid24 added
* Tue Dec 19 2000 - bodammer@suse.de
- squid.h patched to allow increase of available filedescriptors:
  set to 4096 at buildtime by "ulimit -n 4096" in spec-file
* Tue Dec 12 2000 - ro@suse.de
- use official tags for required-start
* Mon Dec 11 2000 - bodammer@suse.de
- error in initscript fixed
* Wed Dec 06 2000 - bodammer@suse.de
- Requires ldaplib added in specfile
- errors in README.SuSE fixed
* Tue Dec 05 2000 - bodammer@suse.de
- hno-patch by Henrik Nordstrom included
- Initscript now checks for a running squid
* Mon Dec 04 2000 - bodammer@suse.de
- new patches from www.squid-cache.org included
* Tue Nov 28 2000 - bodammer@suse.de
- Fix location of rcscript
* Fri Nov 24 2000 - bodammer@suse.de
- rcscript update
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Sat Oct 28 2000 - kukuk@suse.de
- Fix need for build filelist
* Mon Sep 18 2000 - bodammer@suse.de
- initscript reload-option fixed
- more patches from www.squid-cache.org
* Mon Jul 24 2000 - bodammer@suse.de
- another patch from www.squid-cache.org added
* Fri Jul 21 2000 - bodammer@suse.de
- patch ftp_icon_not_found from www.squid-cache.org added
* Tue Jul 18 2000 - bodammer@suse.de
- update -> squid-2.3.STABLE4
* Mon Jun 26 2000 - bodammer@suse.de
- another patch from www.squid-cache.org added
* Tue May 23 2000 - bodammer@suse.de
- specfile-fix: installation of docu changed
- initscript fixed
* Thu May 18 2000 - bodammer@suse.de
- new patches ("Disk space over the limit") included
* Wed May 17 2000 - bodammer@suse.de
- update -> squid-2.3STABLE3
* Wed Apr 12 2000 - bodammer@suse.de
- logfile-rotation disabled in squid.conf to avoid interaction
  with logfile-compression configured in /etc/logfiles
* Mon Mar 13 2000 - bodammer@suse.de
- new patches from squid.nlanr.net included
* Fri Mar 03 2000 - bodammer@suse.de
- update -> squid-2.3STABLE2
* Wed Feb 23 2000 - bodammer@suse.de
- more patches from squid.nlanr.net included
- init-script fix: wait for squid to shutdown
- location of pid-file changed to /var/run
* Wed Feb 16 2000 - bk@suse.de
- initial squid2.3STABLE1 package by bodammer
